Subject: [tsvwg] Fwd: [Technical Errata Reported] RFC6330 (5548)

From: "Mirja Kuehlewind (IETF)" <[email-masked]>
Date: Mon, 26 Nov 2018 13:36:41 +0100

Hi tsvwg folks,

is there anybody on this list who is more familiar with RFC6330 than I am and can confirm that this errata should be accepted?

Thanks!
Mirja

> Anfang der weitergeleiteten Nachricht:
> 
> Von: RFC Errata System <[email-masked]>
> Betreff: [Technical Errata Reported] RFC6330 (5548)
> Datum: 7. November 2018 um 02:19:01 MEZ
> An: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Kopie: [email-masked], [email-masked], [email-masked]
> 
> The following errata report has been submitted for RFC6330,
> "RaptorQ Forward Error Correction Scheme for Object Delivery".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5548
> 
> --------------------------------------
> Type: Technical
> Reported by: Eugene Kim <[email-masked]>
> 
> Section: 3.3.1
> 
> Original Text
> -------------
>   o  Transfer Length (F): 40-bit unsigned integer.  A non-negative
>      integer that is at most 946270874880.  This is the transfer length
>      of the object in units of octets.
> 
> ...
> 
>      NOTE: The limit of 946270874880 on the transfer length is a
>      consequence of the limitation on the symbol size to 2^^16-1, the
>      limitation on the number of symbols in a source block to 56403,
>      and the limitation on the number of source blocks to 2^^8.
> 
> 
> Corrected Text
> --------------
>   o  Transfer Length (F): 40-bit unsigned integer.  A non-negative
>      integer that is at most 942574504275.  This is the transfer length
>      of the object in units of octets.
> 
> ...
> 
>      NOTE: The limit of 942574504275 on the transfer length is a
>      consequence of the limitation on the symbol size to 2^^16-1, the
>      limitation on the number of symbols in a source block to 56403,
>      and the limitation on the number of source blocks to 2^^8-1.
> 
> 
> Notes
> -----
> Section 3.3.3 defines the number of source blocks (Z) as an unsigned 8-bit integer, whose maximum value is 2^^8-1 (255), and not 2^^8.  This in turn changes the limit on the transfer length, which is now 56403*(2^^16-1)*(2^^8-1) = 942574504275.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC6330 (draft-ietf-rmt-bb-fec-raptorq-06)
> --------------------------------------
> Title               : RaptorQ Forward Error Correction Scheme for Object Delivery
> Publication Date    : August 2011
> Author(s)           : M. Luby, A. Shokrollahi, M. Watson, T. Stockhammer, L. Minder
> Category            : PROPOSED STANDARD
> Source              : Reliable Multicast Transport
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
>